Package org.apache.catalina.tribes

## Interface MessageListener

All Known Implementing Classes:
  `ChannelCoordinator`, `McastService`

    public interface MessageListener

Title: MessageListener

Description: The listener to be registered with the ChannelReceiver, internal Tribes component

Version:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accept​(ChannelMessage msg)`
`void` `messageReceived​(ChannelMessage msg)` Receive a message from the IO components in the Channel stack

### Method Detail

#### messageReceived

    void messageReceived​(ChannelMessage msg)

Receive a message from the IO components in the Channel stack

Parameters:
  `msg` - ChannelMessage

#### accept

    boolean accept​(ChannelMessage msg)